<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="name"
            type="String" />

        <variable
            name="imageUrl"
            type="String" />

        <variable
            name="genre"
            type="String" />

        <variable
            name="price"
            type="double" />

        <variable
            name="currency"
            type="String" />

        <variable
            name="kind"
            type="String" />

        <variable
            name="onClickListener"
            type="android.view.View.OnClickListener" />

        <import type="android.view.View" />
    </data>

    <com.google.android.material.card.MaterialCardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:backgroundTint="@color/white"
        android:onClick="@{onClickListener}"
        app:cardElevation="@dimen/elevation_small"
        app:cardPreventCornerOverlap="false"
        app:cardUseCompatPadding="false">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingStart="@dimen/margin_small"
            android:paddingTop="@dimen/margin_small"
            android:paddingEnd="@dimen/margin_small"
            android:paddingBottom="@dimen/padding_medium">


            <com.google.android.material.card.MaterialCardView
                android:id="@+id/cvImageContainer"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:background="@color/white"
                app:cardElevation="0dp"
                app:cardPreventCornerOverlap="false"
                app:cardUseCompatPadding="false"
                app:layout_constraintDimensionRatio="1:1"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:shapeAppearanceOverlay="@style/ShapeAppearanceOverlay.Acc.CardView.Small">

                <ImageView
                    android:id="@+id/ivImage"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:scaleType="centerCrop"
                    app:load="@{imageUrl}"
                    tools:ignore="ContentDescription" />

            </com.google.android.material.card.MaterialCardView>

            <TextView
                android:id="@+id/tvKind"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_text_dark_rounded"
                android:text="@{kind}"
                android:textColor="@color/white"
                android:visibility="@{kind.length() == 0 ? View.GONE : View.VISIBLE}"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tvGenre"
                tools:ignore="ContentDescription" />

            <TextView
                android:id="@+id/tvItemName"
                style="?textAppearanceHeadline3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_small"
                android:text="@{name}"
                android:textColor="?attr/colorPrimary"
                app:layout_constrainedWidth="true"
                app:layout_constraintEnd_toEndOf="@+id/cvImageContainer"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toStartOf="@+id/cvImageContainer"
                app:layout_constraintTop_toBottomOf="@id/cvImageContainer"
                tools:text="Track Name" />

            <TextView
                android:id="@+id/tvGenre"
                style="@style/TextAppearance.Acc.Body2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{genre}"
                android:textColor="?colorPrimaryDark"
                app:layout_constrainedWidth="true"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toStartOf="@+id/tvItemName"
                app:layout_constraintTop_toBottomOf="@id/tvItemName" />

            <TextView
                android:id="@+id/tvPrice"
                style="?textAppearanceSubtitle2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_small"
                android:textColor="?attr/colorPrimary"
                app:itemCurrency="@{currency}"
                app:itemPrice="@{price}"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="@id/cvImageContainer"
                app:layout_constraintHorizontal_bias="1"
                app:layout_constraintStart_toStartOf="@id/cvImageContainer"
                app:layout_constraintTop_toBottomOf="@id/tvKind"
                tools:text="8888 AUD" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </com.google.android.material.card.MaterialCardView>
</layout>